切换到宽版
—— 新手入门 ——
1.【大神带你玩转智友赚个水钱】 4.【主宰板块 制霸论坛 点这里】
2.【每日各种资源推荐实时更新】 5.【微博微信媒体合作请看这里】
3.【手机犯病?大神在这开门诊】 6.【论坛规则全解答 快速练级】
—— 智友精华 ——
1.【前列腺保养福利 尽在这里】 4.【应用圈子 安卓界新闻联播】
2.【搞机百科 安卓界走进科学】 5.【2017.8】安卓软件游戏精华资源集合
3.【2017.8】智友晒物优秀剁手文章精选 6.【想众测申请快速中签 点我】
查看: 916|回复: 17

[问题讨论] 【求助】为什么用反编译工具反编译APK文件之后,没有做任何修改直接回编译无法安装 [复制链接]

主题
2
帖子
1607
金币
1984 元
智豆
280 点
发表于 2019-3-10 17:16:22 |显示全部楼层
用APK反编译工具APKDB和AndroidKiller这2款软件都可以正常反编译,未做任何修改,直接回编译并签名,安装到安卓模拟器上,打开软件闪退。用ApkIDE这2款软件可以反编译,出现如下提示


> 正在反编译Apk...  - 成功!
> 正在将dex转成jar...  - Library cannot extract this entry. Version required is (788)
> .smali输出目录:D:\Phone\Android\Softwares\APK_Design\ApkIDE3.1\Work\com.one.cucumber
> .class输出目录:Not supported.



未做任何修改,直接回编译就会出错


请大神指点,已经为这个问题纠结了好久了。。。

打赏排行榜

  • 楼主共收获打赏:

    0 0
  • 虚位以待打赏

    0 0
  • 虚位以待打赏

    0 0
  • 虚位以待打赏

    0 0

主题
19
帖子
3985
金币
1732 元
智豆
3594 点

给你300万勋章 老司机勋章 好学生勋章

发表于 2019-3-10 18:36:13 |显示全部楼层
需要788的版本 版本低了?
  • 赞成0

  • 反对0

使用道具 举报

主题
2
帖子
1607
金币
1984 元
智豆
280 点
发表于 2019-3-11 14:29:35 |显示全部楼层
dadaewqq 发表于 2019-3-10 18:36
需要788的版本 版本低了?

应该不可能吧,我下载的都是最新版的工具呀,底下那个弹出窗口是怎么回事,你懂吗?
  • 赞成0

  • 反对0

使用道具 举报

主题
5
帖子
47
金币
35 元
智豆
10 点
发表于 2019-5-5 02:35:54 |显示全部楼层
感谢楼主分享 智友因你而精彩
  • 赞成0

  • 反对0

使用道具 举报

头像被屏蔽

主题
0
帖子
1466
金币
1299 元
智豆
-14 点
发表于 2019-5-21 16:43:44 |显示全部楼层
  • 赞成0

  • 反对0

使用道具 举报

主题
4
帖子
49513
金币
17673 元
智豆
2715 点
发表于 2019-5-23 07:13:25 |显示全部楼层
  • 赞成0

  • 反对0

使用道具 举报

您需要登录后才可以回帖 登录 | 注册 用新浪微博连接 QQ登录

关闭

热门活动

【智豆兑换】2019-07-11更新
【智豆兑换】2019-07-11更新
大暑运金气,荆扬不知秋。林下有塌翼,智豆兑好礼。

查看 »

回顶部